commit:     432384028d4eaf1060ca3f44b3f546187c9a195d
Author:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Sun Jul  3 19:18:17 2016 +0000
Commit:     Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sun Jul  3 19:18:31 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=43238402

app-text/liblangtag: Fix license, bump EAPI, migrate away from autotools-utils

Package-Manager: portage-2.3.0

 app-text/liblangtag/liblangtag-0.5.8.ebuild | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

diff --git a/app-text/liblangtag/liblangtag-0.5.8.ebuild 
b/app-text/liblangtag/liblangtag-0.5.8.ebuild
index f39ad36..3f5ed5d 100644
--- a/app-text/liblangtag/liblangtag-0.5.8.ebuild
+++ b/app-text/liblangtag/liblangtag-0.5.8.ebuild
@@ -2,41 +2,39 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=5
+EAPI=6
 
-inherit xdg-utils autotools-utils
+inherit xdg-utils eutils
 
 DESCRIPTION="An interface library to access tags for identifying languages"
 HOMEPAGE="https://tagoh.bitbucket.org/liblangtag/";
 SRC_URI="https://bitbucket.org/tagoh/${PN}/downloads/${P}.tar.bz2";
 
-LICENSE="|| ( LGPL-3 MPL-1.1 )"
+LICENSE="|| ( LGPL-3 MPL-2.0 )"
 SLOT="0"
 KEYWORDS="~amd64 ~arm ~ppc ~x86"
 IUSE="introspection static-libs test"
 
 RDEPEND="
-       dev-libs/glib
        dev-libs/libxml2
        introspection? ( >=dev-libs/gobject-introspection-0.10.8 )"
 DEPEND="${RDEPEND}
        introspection? ( dev-libs/gobject-introspection-common )
        sys-devel/gettext
-       test? ( dev-libs/check )"
+       test? ( dev-libs/check )
+"
 
 # Upstream expect liblangtag to be installed when one runs tests...
 RESTRICT="test"
 
 src_configure() {
        xdg_environment_reset
-       local myeconfargs=(
-               $(use_enable introspection)
+       econf \
+               $(use_enable introspection) \
                $(use_enable test)
-       )
-       autotools-utils_src_configure
 }
 
 src_install() {
-       autotools-utils_src_install
+       default
        prune_libtool_files --all
 }

Reply via email to